Skip to main content
POST
/
voice-ai
/
actions
Create Agent Action
curl --request POST \
  --url https://services.leadconnectorhq.com/voice-ai/actions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "agentId": "507f1f77bcf86cd799439011",
  "locationId": "507f1f77bcf86cd799439012",
  "actionType": "CALL_TRANSFER",
  "name": "Transfer to Manager",
  "actionParameters": {
    "triggerPrompt": "When the caller asks to speak to a manager",
    "transferToType": "number",
    "transferToValue": "+12345678901",
    "triggerMessage": "Let me transfer you to a manager right away",
    "hearWhisperMessage": true
  }
}
'
{
  "id": "507f1f77bcf86cd799439011",
  "actionType": "CALL_TRANSFER",
  "name": "Transfer to Manager",
  "actionParameters": {
    "triggerPrompt": "When the caller asks to speak to a manager",
    "transferToType": "number",
    "transferToValue": "+12345678901",
    "triggerMessage": "Let me transfer you to a manager right away",
    "hearWhisperMessage": true
  }
}

Authorizations

Authorization
string
header
required

Access Token or Private Integration Token

Headers

Version
enum<string>
required

API Version

Available options:
2021-04-15

Body

application/json
agentId
string
required

Agent ID to attach the action to

Example:

"507f1f77bcf86cd799439011"

locationId
string
required

Location ID

Example:

"507f1f77bcf86cd799439012"

actionType
enum<string>
required

Type of action

Available options:
CALL_TRANSFER,
DATA_EXTRACTION,
IN_CALL_DATA_EXTRACTION,
WORKFLOW_TRIGGER,
SMS,
APPOINTMENT_BOOKING,
CUSTOM_ACTION
Example:

"CALL_TRANSFER"

name
string
required

Human-readable name for this action

Example:

"Transfer to Manager"

actionParameters
object
required

Action parameters - structure varies by actionType

Response

Action created successfully

id
string
required

Unique identifier for the created action

Example:

"507f1f77bcf86cd799439011"

actionType
enum<string>
required

Type of action

Available options:
CALL_TRANSFER,
DATA_EXTRACTION,
IN_CALL_DATA_EXTRACTION,
WORKFLOW_TRIGGER,
SMS,
APPOINTMENT_BOOKING,
CUSTOM_ACTION
Example:

"CALL_TRANSFER"

name
string
required

Human-readable name for this action

Example:

"Transfer to Manager"

actionParameters
object
required

Action parameters - structure varies by actionType

Last modified on March 7, 2026